@echo off
REM This file will allow to change the F1 tires to wets and back to drys .
if exist f12002th.dat goto BACKUP
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This changer must be in the f12002th carset folder.
echo;
GOTO END

:BACKUP
if exist f12002th.new GOTO CHANGE


:BACKUP2
copy f12002th.dat f12002th.new


:CHANGE
cls
echo;
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo tire changer.
echo; 
echo;
echo Which tires do you want to use?
echo;
echo [A] Wet weather tires
echo [B] Dry weather tires
echo;
choice /c:AB

if errorlevel 2 GOTO DRYS

:WETS
unpack f12002th.dat
pkunzip -o tires.zip
cls
copy fwheel.2kw fwheel.3do
copy rwheel.2kw rwheel.3do
copy wheel1w.edw wheel1.mip
copy wheel1fw.edw wheel1f.mip
copy wheel2w.edw wheel2.mip
copy wheel2fw.edw wheel2f.mip
copy wheel3w.edw wheel3.mip
copy wheel3fw.edw wheel3f.mip
pack f12002th.pck
del *.2kw
del *.edw
del *.mip
del *.3do
del *.pcx
del *.pmp
del *.pck
cls
echo;
echo;
echo			You are now using wet weather tires.
echo;
echo;
GOTO FINISH


:DRYS
unpack f12002th.dat
pkunzip -o tires.zip
cls
copy fwheel.2kw fwheel.3do
copy rwheel.2kw rwheel.3do
copy wheel1.edw wheel1.mip
copy wheel1f.edw wheel1f.mip
copy wheel2.edw wheel2.mip
copy wheel2f.edw wheel2f.mip
copy wheel3.edw wheel3.mip
copy wheel3f.edw wheel3f.mip
pack f12002th.pck
del *.2kw
del *.edw
del *.mip
del *.3do
del *.pcx
del *.pmp
del *.pck
cls
echo;
echo;
echo			You are now using dry weather tires.
echo;
echo;


:FINISH
echo; 
echo;
echo			Tire Changer created by Edwin Roman 
echo			Questions?  Comments?  E-mail me!
echo			edwrom@pcspower.net 
echo;			
echo;
echo;
:END




